### Hierarchy

- AtomStyleSheet
  - AtomTheme

### Implements

- INotifyPropertyChanging
- INotifyPropertyChanging
- IDisposable

## Index

### Constructors

- constructor

### Properties

- activeColor
- app
- bgColor
- color
- hoverColor
- name
- padding
- selectedBgColor
- selectedColor
- styleElement
- styles

### Methods

- attach
- createNamedStyle
- dispose
- getNamedStyle
- onPropertyChanging
- pushUpdate

## Constructors

### constructor

- new AtomTheme(app: App, navigationService: NavigationService): AtomTheme

- Overrides AtomStyleSheet.constructor

  - Defined in src/web/styles/AtomTheme.ts:36

  #### Parameters

  - ##### app: App

  - ##### navigationService: NavigationService

  #### Returns AtomTheme

## Properties

### activeColor

activeColor: ColorItem = Colors.lightBlue

- Defined in src/web/styles/AtomTheme.ts:30

### app

app: App

Inherited from AtomStyleSheet.app

- Defined in src/web/styles/AtomStyleSheet.ts:16

### bgColor

bgColor: ColorItem = Colors.white

- Defined in src/web/styles/AtomTheme.ts:24

### color

color: ColorItem = Colors.gray

- Defined in src/web/styles/AtomTheme.ts:26

### hoverColor

hoverColor: ColorItem = Colors.lightGray

- Defined in src/web/styles/AtomTheme.ts:28

### name

name: string

Inherited from AtomStyleSheet.name

- Defined in src/web/styles/AtomStyleSheet.ts:16

### padding

padding: number = 5

- Defined in src/web/styles/AtomTheme.ts:36

### selectedBgColor

selectedBgColor: ColorItem = Colors.blue

- Defined in src/web/styles/AtomTheme.ts:32

### selectedColor

selectedColor: ColorItem = Colors.white

- Defined in src/web/styles/AtomTheme.ts:34

### styleElement

styleElement: any

Inherited from AtomStyleSheet.styleElement

- Defined in src/web/styles/AtomStyleSheet.ts:8

### styles

styles: object

Inherited from AtomStyleSheet.styles

- Defined in src/web/styles/AtomStyleSheet.ts:10

#### Type declaration

- ##### [key: string]: AtomStyle

## Methods

### attach

- attach(): void

- Inherited from AtomStyleSheet.attach

  - Defined in src/web/styles/AtomStyleSheet.ts:60

  #### Returns void

### createNamedStyle

- createNamedStyle<T>(c: IClassOf<T>, name: string, updateTimeout?: number): T

- Inherited from AtomStyleSheet.createNamedStyle

  - Defined in src/web/styles/AtomStyleSheet.ts:25

  #### Type parameters

  - #### T: AtomStyle

  #### Parameters

  - ##### c: IClassOf<T>

  - ##### name: string

  - ##### Optional updateTimeout: number

  #### Returns T

### dispose

- dispose(): void

- Implementation of IDisposable.dispose

  Inherited from AtomStyleSheet.dispose

  - Defined in src/web/styles/AtomStyleSheet.ts:54

  #### Returns void

### getNamedStyle

- getNamedStyle<T>(c: IClassOf<T>): AtomStyle

- Inherited from AtomStyleSheet.getNamedStyle

  - Defined in src/web/styles/AtomStyleSheet.ts:20

  #### Type parameters

  - #### T: AtomStyle

  #### Parameters

  - ##### c: IClassOf<T>

  #### Returns AtomStyle

### onPropertyChanging

- onPropertyChanging(name: string, newValue: any, oldValue: any): void

- Implementation of INotifyPropertyChanging.onPropertyChanging

  Inherited from AtomStyleSheet.onPropertyChanging

  - Defined in src/web/styles/AtomStyleSheet.ts:32

  #### Parameters

  - ##### name: string

  - ##### newValue: any

  - ##### oldValue: any

  #### Returns void

### pushUpdate

- pushUpdate(delay?: number): void

- Inherited from AtomStyleSheet.pushUpdate

  - Defined in src/web/styles/AtomStyleSheet.ts:36

  #### Parameters

  - ##### Default value delay: number = 1

  #### Returns void

Generated using TypeDoc